curl --request PATCH \
--url https://api.synctera.com/v1/fee_products/{fee_product_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"fee_config_ids": [
"5c943c51-e4ff-4e57-9558-08cab6b96398"
],
"description": "Fee schedule for premium checking accounts",
"name": "Premium Checking Fee Schedule"
}
'import requests
url = "https://api.synctera.com/v1/fee_products/{fee_product_id}"
payload = {
"fee_config_ids": ["5c943c51-e4ff-4e57-9558-08cab6b96398"],
"description": "Fee schedule for premium checking accounts",
"name": "Premium Checking Fee Schedule"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
fee_config_ids: ['5c943c51-e4ff-4e57-9558-08cab6b96398'],
description: 'Fee schedule for premium checking accounts',
name: 'Premium Checking Fee Schedule'
})
};
fetch('https://api.synctera.com/v1/fee_products/{fee_product_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"creation_time": "2024-01-15T10:00:00Z",
"fee_config_ids": [
"5c943c51-e4ff-4e57-9558-08cab6b96398"
],
"id": "7d943c51-e4ff-4e57-9558-08cab6b96312",
"last_updated_time": "2024-06-01T12:00:00Z",
"tenant": "abcdef_ghijkl",
"name": "Premium Checking Fee Schedule",
"status": "active",
"description": "Fee schedule for premium checking accounts"
}{
"code": "BAD_REQUEST_BODY",
"detail": "Missing required fields: first_name, dob",
"status": 400
}{
"code": "BAD_REQUEST_BODY",
"detail": "Missing required fields: first_name, dob",
"status": 400
}{
"code": "BAD_REQUEST_BODY",
"detail": "Missing required fields: first_name, dob",
"status": 400
}{
"code": "BAD_REQUEST_BODY",
"detail": "Missing required fields: first_name, dob",
"status": 400
}{
"code": "BAD_REQUEST_BODY",
"detail": "Missing required fields: first_name, dob",
"status": 400
}Update a fee product
Update the name of a fee product, description, or status
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Unique identifier of a fee product.
"7d943c51-e4ff-4e57-9558-08cab6b96312"
Body
Fee product fields to update
Replace the full set of fee configs associated with this product. Omit to leave unchanged; provide an empty array to remove all.
["5c943c51-e4ff-4e57-9558-08cab6b96398"]
Description of the fee product bundle.
"Fee schedule for premium checking accounts"
Name of the fee product bundle.
"Premium Checking Fee Schedule"
active, inactive Response
Updated fee product
Timestamp when the fee product was created.
"2024-01-15T10:00:00Z"
IDs of fee configs associated with this product.
["5c943c51-e4ff-4e57-9558-08cab6b96398"]
Unique identifier for this fee product.
"7d943c51-e4ff-4e57-9558-08cab6b96312"
Timestamp when the fee product was last updated.
"2024-06-01T12:00:00Z"
The id of the tenant containing the resource.
"abcdef_ghijkl"
Name of the fee product bundle.
"Premium Checking Fee Schedule"
active, inactive Description of the fee product bundle.
"Fee schedule for premium checking accounts"
Was this page helpful?

